function update(dt)
    display.rect({pos=vec2(0,0),size=vec2(256,128),color = rgbm.colors.black})
    ui.pushDWriteFont('alarm clock:clockfont.ttf')
    ui.dwriteDrawText(((sim.timeHours >= 10 and sim.timeHours or "0"..sim.timeHours) .. ":" .. (sim.timeMinutes >= 10 and sim.timeMinutes or "0"..sim.timeMinutes)), 89, vec2(16,10), rgbm.colors.white)
    if (sim.timeHours < 10) then
        display.rect({pos=vec2(8, 20),size=vec2(58, 83),color = rgbm.colors.black})
    end
    display.rect({pos=vec2(118, 30),size=vec2(24, 67),color = rgbm.colors.black})
    ui.drawCircle(vec2(133, 41), 3, rgbm.colors.white,12,5)
    ui.drawCircle(vec2(125, 89), 3, rgbm.colors.white,12,5)
    ui.popDWriteFont()
end